Ecore_Audio - Convenience audio API

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Modules | Data Structures | Typedefs | Enumerations | Functions
Ecore_Audio - Convenience audio API
Ecore

## Modules
| - Base Ecore_Audio object
| - Ecore_Audio input object
| - Ecore_Audio sndfile input
| - Ecore_Audio tone input
| - Ecore_Audio output object
| - Ecore_Audio pulseaudio output
| - Ecore_Audio sndfile output

## Data Structures
struct | _Ecore_Audio_Vio

## Typedefs
typedef enum _Ecore_Audio_Type | Ecore_Audio_Type
typedef enum _Ecore_Audio_Format | Ecore_Audio_Format
| The format of the audio data.
typedef struct _Ecore_Audio_Module | Ecore_Audio_Module
| The audio module. More...
typedef struct _Ecore_Audio_Object | Ecore_Audio_Object
| The audio object. More...
typedef struct _Ecore_Audio_Vio | Ecore_Audio_Vio
| Holds the callback functions to implement virtual file IO. More...

## Enumerations
enum | _Ecore_Audio_Type { ECORE_AUDIO_TYPE_PULSE, ECORE_AUDIO_TYPE_ALSA, ECORE_AUDIO_TYPE_SNDFILE, ECORE_AUDIO_TYPE_TONE, ECORE_AUDIO_TYPE_CORE_AUDIO, ECORE_AUDIO_TYPE_CUSTOM, ECORE_AUDIO_MODULE_LAST }
enum | _Ecore_Audio_Format { ECORE_AUDIO_FORMAT_AUTO, ECORE_AUDIO_FORMAT_RAW, ECORE_AUDIO_FORMAT_WAV, ECORE_AUDIO_FORMAT_OGG, ECORE_AUDIO_FORMAT_FLAC, ECORE_AUDIO_FORMAT_MP3, ECORE_AUDIO_FORMAT_LAST }

## Functions
EAPI int | ecore_audio_init (void)
| Initialize the Ecore_Audio library. More...
EAPI int | ecore_audio_shutdown (void)
| Shut down the Ecore_Audio library. More...

## Detailed Description

Since
  1.8

## Typedef Documentation

typedef enum _Ecore_Audio_Type Ecore_Audio_Type

Since
  1.8

typedef struct _Ecore_Audio_Module Ecore_Audio_Module

The audio module.

Since
  1.8

typedef struct _Ecore_Audio_Object Ecore_Audio_Object

The audio object.

Since
  1.8

typedef struct _Ecore_Audio_Vio Ecore_Audio_Vio

Holds the callback functions to implement virtual file IO.

Since
  1.8

## Enumeration Type Documentation

enum _Ecore_Audio_Type

Since
  1.8

Enumerator
ECORE_AUDIO_TYPE_PULSE | Use Pulseaudio module.
ECORE_AUDIO_TYPE_ALSA | Use ALSA module.
ECORE_AUDIO_TYPE_SNDFILE | Use libsndfile module.
ECORE_AUDIO_TYPE_TONE | Use tone module.
ECORE_AUDIO_TYPE_CORE_AUDIO | Use Core Audio module (Apple)
ECORE_AUDIO_TYPE_CUSTOM | Use custom module.
ECORE_AUDIO_MODULE_LAST | Sentinel.

enum _Ecore_Audio_Format

Since
  1.8

Enumerator
ECORE_AUDIO_FORMAT_AUTO | Automatically detect the format (for inputs)
ECORE_AUDIO_FORMAT_RAW | RAW samples (float)
ECORE_AUDIO_FORMAT_WAV | WAV format.
ECORE_AUDIO_FORMAT_OGG | OGG.
ECORE_AUDIO_FORMAT_FLAC | FLAC, the Free Lossless Audio Codec.
ECORE_AUDIO_FORMAT_MP3 | MP3 (not supported)
ECORE_AUDIO_FORMAT_LAST | Sentinel value, do not use.

## Function Documentation

EAPI int ecore_audio_init | ( | void |  | ) |

Initialize the Ecore_Audio library.

Returns
  1 or greater on success, 0 on error.

Since
  1.8

This function sets up Ecore_Audio and initializes the modules that provide the in- and outputs to use. It returns 0 on failure, otherwise it returns the number of times it has already been called.

When Ecore_Audio is not used anymore, call ecore_audio_shutdown() to shut down the Ecore_Audio library.

References DBG, ecore_init(), ecore_shutdown(), eina_log_domain_register(), EINA_LOG_ERR, EINA_LOG_STATE_INIT, eina_log_timing(), and eo_init().

Referenced by edje_audio_channel_mute_get().

EAPI int ecore_audio_shutdown | ( | void |  | ) |

Shut down the Ecore_Audio library.

Returns
  0 when the library is completely shut down, 1 or greater otherwise.

Since
  1.8

This function shuts down the Ecore_Audio library. It returns 0 when it has been called the same number of times than ecore_audio_init(). In that case it shuts down all the services it uses.

References DBG, ecore_shutdown(), eina_list_free(), eina_log_domain_unregister(), EINA_LOG_STATE_SHUTDOWN, eina_log_timing(), and eo_shutdown().

Referenced by edje_audio_channel_mute_get().